petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexComputeGradientFVM

Compute geometric factors for gradient reconstruction, which are stored in the geometry data, and compute layout for gradient data

### Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexComputeGradientFVM(DM dm, PetscFV fvm, Vec faceGeometry, Vec cellGeometry, DM *dmGrad)

Collective on DM

### Input Arguments

| dm | - The DM
| fvm | - The PetscFV
| faceGeometry | - The face geometry from DMPlexComputeFaceGeometryFVM()
| cellGeometry | - The face geometry from DMPlexComputeCellGeometryFVM()

### Output Parameters

| faceGeometry | - The geometric factors for gradient calculation are inserted
| dmGrad | - The DM describing the layout of gradient data

### See Also

DMPlexGetFaceGeometryFVM(), DMPlexGetCellGeometryFVM()

### Level

developer

### Location

src/dm/impls/plex/plexgeometry.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages